Writes a batch of Event objects to the Sink configured with the token used for authentication.
Operation ID: sink_post_events
Security
BearerAuth
Add metadata to the response by invoking meta functions. Documentation for meta functions is available. Not all meta functions are available at every endpoint.
- Synqlyhttps://api.synqly.com/v1/sink/events
curl -i -X POST \
https://api.synqly.com/v1/sink/events \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
-H 'Content-Type: application/json' \
-d '[
{
"activity_id": 0,
"category_uid": 0,
"class_uid": 0,
"metadata": {
"product": {},
"version": "string"
},
"severity_id": 0,
"time": 0,
"type_uid": 0,
"user": {}
}
]'List of events written if available. Most providers do not return events, just a success status. Review messages for any failure details available.
Additional messages from the service response that may be helpful to the client.
Response
{ "result": [ {} ], "messages": { "problems": [ … ] }, "meta": { "stats": { … }, "api": { … }, "mapping": { … } } }